<!DOCTYPE HTML>
<html xmlns:th="http://www.thymeleaf.org">
<head> 
    <title>Getting Started: Serving Web Content</title> 
    <meta http-equiv="Content-Type" content="text/html; charset=UTF-8" />
</head>
<body>
    <p> Here are all data in JSON file </p><br>
    <p>Products:</p><br>
    <tr th:each="product: ${data.products}">
        <td th:text="'label:: ' + ${product.label}" /><br>
        <td th:text="'shipment type:: ' + ${product.shipmentType}" /><br><br>
    </tr><br>

    <p>Network:</p><br>
    <tr th:each="network: ${data.networks}">
        <td th:text="'depotFrom:: ' + ${network.depotFrom}" /><br>
        <td th:text="'depot to:: ' + ${network.depotTo}" /><br><br>
    </tr>

    <p>Stocks:</p><br>
    <tr th:each="stock: ${data.stocks}">
        <td th:text="'depot:: ' + ${stock.depot}" /><br>
        <td th:text="'product:: ' + ${stock.product}" /><br>
        <td th:text="'quantity:: ' + ${stock.quantity}" /><br>
        <td th:text="'expiry:: ' + ${stock.expiry}" /><br><br>
    </tr>

    <p>Ongoing Shipments:</p><br>
    <tr th:each="ongoingShipment: ${data.ongoingShipments}">
        <td th:text="'depotFrom:: ' + ${ongoingShipment.depotFrom}" /><br>
        <td th:text="'depotTo:: ' + ${ongoingShipment.depotTo}" /><br>
        <td th:text="'departureDate:: ' + ${ongoingShipment.departureDate}" /><br>
        <td th:text="'product:: ' + ${ongoingShipment.product}" /><br>
        <td th:text="'quantity:: ' + ${ongoingShipment.quantity}" /><br>
        <td th:text="'expirya:: ' + ${ongoingShipment.expiry}" /><br><br>
    </tr>
</body>
</html>
